Mailinglist Archive: opensuse-factory (229 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20191211 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Fri, 13 Dec 2019 13:00:31 +0000
  • Message-id: <157624203108.28209.5896865633738732547@go-agent-stagingbot-1>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20191211

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
389-ds
MozillaThunderbird (68.2.2 -> 68.3.0)
NetworkManager-applet (1.8.24 -> 1.8.25+20)
aaa_base (84.87+git20191120.98f1524 -> 84.87+git20191206.1cb88e3)
bcm43xx-firmware
bluedevil5 (5.17.3 -> 5.17.4)
bluez (5.50 -> 5.52)
breeze (5.17.3 -> 5.17.4)
breeze-gtk (5.17.3 -> 5.17.4)
btrfsprogs (5.3.1 -> 5.4)
build (20191114 -> 20191205)
colord
createrepo_c (0.12.0 -> 0.15.4)
cronie
dav1d (0.5.1 -> 0.5.2)
dbus-1 (1.12.12 -> 1.12.16)
dbus-1-x11 (1.12.12 -> 1.12.16)
discover (5.17.3 -> 5.17.4)
drkonqi5 (5.17.3 -> 5.17.4)
expat (2.2.8 -> 2.2.9)
gcr
gdm
gjs
gnome-desktop (3.34.1 -> 3.34.2)
gnome-session (3.34.1 -> 3.34.2)
gnome-settings-daemon (3.34.1+0 -> 3.34.1+3)
gnome-shell-extensions
gnutls (3.6.10 -> 3.6.11.1)
grilo-plugins
gstreamer (1.16.1 -> 1.16.2)
gstreamer-plugins-bad (1.16.1 -> 1.16.2)
gstreamer-plugins-base (1.16.1 -> 1.16.2)
gstreamer-plugins-good (1.16.1 -> 1.16.2)
gstreamer-plugins-ugly (1.16.1 -> 1.16.2)
gtk3 (3.24.12+32 -> 3.24.13+0)
inkscape
iproute2 (5.3 -> 5.4)
kactivitymanagerd (5.17.3 -> 5.17.4)
kcm_sddm (5.17.3 -> 5.17.4)
kde-cli-tools5 (5.17.3 -> 5.17.4)
kde-gtk-config5 (5.17.3 -> 5.17.4)
kde-user-manager (5.17.3 -> 5.17.4)
kgamma5 (5.17.3 -> 5.17.4)
khotkeys5 (5.17.3 -> 5.17.4)
kinfocenter5 (5.17.3 -> 5.17.4)
kmenuedit5 (5.17.3 -> 5.17.4)
kscreen5 (5.17.3 -> 5.17.4)
kscreenlocker (5.17.3 -> 5.17.4)
ksshaskpass5 (5.17.3 -> 5.17.4)
ksysguard5 (5.17.3 -> 5.17.4)
kwayland-integration (5.17.3 -> 5.17.4)
kwin5 (5.17.3 -> 5.17.4)
libgme
libkdecoration2 (5.17.3 -> 5.17.4)
libkscreen2 (5.17.3 -> 5.17.4)
libksysguard5 (5.17.3 -> 5.17.4)
libmspub
libsoup (2.68.2 -> 2.68.3)
libxcrypt (4.4.3 -> 4.4.10)
lilv (0.24.4 -> 0.24.6)
llvm9
mailutils
man-pages
mercurial (5.2 -> 5.2.1)
milou5 (5.17.3 -> 5.17.4)
osc (0.166.2 -> 0.167.1)
oxygen5 (5.17.3 -> 5.17.4)
perl-Perl-Tidy (20190915 -> 20191203)
pesign
plasma-browser-integration (5.17.3 -> 5.17.4)
plasma-nm5 (5.17.3 -> 5.17.4)
plasma5-addons (5.17.3 -> 5.17.4)
plasma5-desktop (5.17.3 -> 5.17.4)
plasma5-integration (5.17.3 -> 5.17.4)
plasma5-openSUSE
plasma5-pa (5.17.3 -> 5.17.4)
plasma5-workspace (5.17.3 -> 5.17.4)
polkit
polkit-default-privs (13.2+20191128.c2eb3f7 -> 13.2+20191210.15c9882)
polkit-kde-agent-5 (5.17.3 -> 5.17.4)
powerdevil5 (5.17.3 -> 5.17.4)
pptp (1.8.0 -> 1.10.0)
python-Sphinx (2.2.1 -> 2.2.2)
python-Sphinx-test (2.2.1 -> 2.2.2)
python-Twisted (19.7.0 -> 19.10.0)
python-matplotlib (3.1.1 -> 3.1.2)
python-qt5 (5.13.1 -> 5.13.2)
python-zope.interface (4.6.0 -> 4.7.1)
re2 (20191101 -> 20191201)
rebootmgr
systemd
systemsettings5 (5.17.3 -> 5.17.4)
tcl (8.6.9 -> 8.6.10)
tk (8.6.9 -> 8.6.10)
virtualbox
vsftpd
wireshark (3.0.6 -> 3.0.7)
yast2-ruby-bindings (4.2.4 -> 4.2.5)
zimg

=== Details ===

==== 389-ds ====
Subpackages: lib389 libsvrcore0

- Resolve incorrect tmpfiles.d location which caused transactional server
installs to fail, and may break non-root install.

==== MozillaThunderbird ====
Version update (68.2.2 -> 68.3.0)
Subpackages: MozillaThunderbird-translations-common

- Mozilla Thunderbird 68.3.0:
* Message display toolbar action WebExtension API
* Navigation buttons are now available in content tabs, for example
those opened via an add-on search
* other bugfixes
MFSA 2019-38
* CVE-2019-17008 (bmo#1546331)
Use-after-free in worker destruction
* CVE-2019-13722 (bmo#1580156)
Stack corruption due to incorrect number of arguments in WebRTC code
* CVE-2019-17010 (bmo#1581084)
Use-after-free when performing device orientation checks
* CVE-2019-17005 (bmo#1584170)
Buffer overflow in plain text serializer
* CVE-2019-17011 (bmo#1591334)
Use-after-free when retrieving a document in antitracking
* CVE-2019-17012 (bmo#1449736, bmo#1533957, bmo#1560667, bmo#1567209,
bmo#1580288, bmo#1585760, bmo#1592502)
Memory safety bugs fixed in Firefox 71 and Firefox ESR 68.3
* Various updates to improve performance and stability
- updated create-tar.sh to cover buildid and origin repo information
- changed locale building procedure
* removed obsolete compare-locales.tar.xz and
thunderbird-broken-locales-build.patch
- add mozilla-bmo849632.patch to fix color issues on big endian

==== NetworkManager-applet ====
Version update (1.8.24 -> 1.8.25+20)
Subpackages: NetworkManager-applet-lang NetworkManager-connection-editor
nma-data

- Update to version 1.8.25+20:
+ appdata:
- add release tag
- add OARS rating
+ applet: scale icons for HiDPI displays
+ libnma: drop it
+ gitlab: drag in new enough libnma
+ Updated translations.
- Switch to git checkout via source service.
- Drop no longer built sub packages:
+ libnma0
+ typelib-1_0-NMA-1_0
+ libnma-devel
- Switch to meson build system, add BuildRequires:
+ pkgconfig(libnma)
+ pkgconfig(gio-2.0)
+ pkgconfig(gmodule-export-2.0)
- Drop no longer needed BuildRequires:
+ gtk-doc
+ intltool
+ pkgconfig(gobject-introspection-1.0)
+ pkgconfig(gck-1)
+ pkgconfig(gcr-3)
- Cleanup spec and rebase patches.

==== aaa_base ====
Version update (84.87+git20191120.98f1524 -> 84.87+git20191206.1cb88e3)
Subpackages: aaa_base-extras

- Update to version 84.87+git20191206.1cb88e3:
* Add support for lesskey.bin in /usr/etc
* Do last change also for tcsh
* Not all XTerm based emulators do have an terminfo entry

==== bcm43xx-firmware ====

- Update boardflags3 value for brcmfmac43455-sdio.raspberrypi,4-model-b.txt
to fix WiFi connection on RPi4
- Add brcmfmac43455-sdio.raspberrypi,4-model-b.txt

==== bluedevil5 ====
Version update (5.17.3 -> 5.17.4)
Subpackages: bluedevil5-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- No code changes since 5.17.3

==== bluez ====
Version update (5.50 -> 5.52)
Subpackages: libbluetooth3

- BuildIgnore shared-mime-info, pulled in by libgio-2_0-0, not
required for building, but causes a build loop.
- Add bcond for mesh, also enable mesh on Leap 15.2/SLE15SP2.
- Properly conditionalize all files which are only built with enabled
mesh functionality, fixes build on Leap 15.1 and earlier.
- fix udev directory from %_libexecdir to %_prefix/lib
- update to version 5.52:
* Fix issue with AVDTP session disconnect timeout handling.
* Mark media endpoint APIs as stable interfaces.
- remove obsolete 0001-mesh-Fix-segmentation-fault-on-Join-call.patch
- disable one more segfaulting patch
- add 0001-mesh-Fix-segmentation-fault-on-Join-call.patch
(boo#1152672)
- add _service to use github.com/seifes-obs-packages/bluez.git
as source for the package
- Combine multiple %service_* to reduce generated boilerplate.
- disable mesh service due to security concerns, see boo#1151518
- add README-mesh.SUSE to explain the issue
- remove no longer necessary temporary-rpmlintrc
- update to version 5.51:
* Fix issue with first agent not being registered as default.
* Fix issue with loading devices without Service Changed CCC.
* Fix issue with GATT client and extended property reading.
* Fix issue with handling GATT client invalid read behavior.
* Fix issue with handling GATT disconnect handler removal.
* Fix issue with missing GATT/GAP service records for SDP.
* Fix issue with checking SDP continuation state length.
* Fix issue with HID device removal on HoG disconnect.
* Fix issue with AVDTP and session destroy handling.
* Fix issue with AVCTP and output MTU accounting.
* Fix issue with AVRCP and creating media items.
* Add support for GATT database caching feature.
* Add experimental support for Bluetooth Mesh Profile.
- removed obsoleted patches:
* 0001-obexd-use-AM_LDFLAGS-for-linking.patch
* 0001-policy-Add-logic-to-connect-a-Sink.patch
* 0001-tools-Fix-build-after-y2038-changes-in-glibc.patch
* bluez-5.50-a2dp-backports.patch
* bluez-5.50-gcc9.patch
* disable_some_obex_tests.patch
* bluez-5.45-disable-broken-tests.diff
- add bluez-disable-broken-tests.diff
- add temporary rpmlintrc until security team approves

==== breeze ====
Version update (5.17.3 -> 5.17.4)
Subpackages: breeze5-cursors breeze5-decoration breeze5-style
breeze5-style-lang breeze5-wallpapers libbreezecommon5-5

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- No code changes since 5.17.3

==== breeze-gtk ====
Version update (5.17.3 -> 5.17.4)
Subpackages: gtk2-metatheme-breeze gtk3-metatheme-breeze metatheme-breeze-common

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- Changes since 5.17.3:
* [GTK3] Fix invalid colour name in treeview (kde#414391)

==== btrfsprogs ====
Version update (5.3.1 -> 5.4)
Subpackages: btrfsprogs-udev-rules libbtrfs0

- Update to 5.4
* support new hash algorithms (kernel 5.5):
* mkfs.btrfs and btrfs-convert with --csum, crc32c, xxhash, sha256, blake2
* mkfs: support new raid1c3 and raid1c4 block group profiles (kernel 5.5)
* check:
* --repair delays start with a warning, can be skipped using --force
* enhanced detetion of inode types from partial data, more options for
repair
* receive: fix quiet option
* image: speed up chunk loading
* fi usage:
* sort devices by id
* print ratio of used/total per block group type
* rescue zero-log: reset the log pointers directly, avoid reading some other
potentially damaged structures
* new make target install-static to install only static binaries/libraries
* other
* docs updates
* new tests
* cleanups and refactoring

==== build ====
Version update (20191114 -> 20191205)
Subpackages: build-mkbaselibs build-mkdrpms

- qemu vm_type is running qemu system emulator now. Works for:
* aarch64
* armv7l
* ppc64/ppc64le
* s390/s390x
* riscv64
Note: this requires a kernel and initrd in build target via
kernel-obs-build mechanic
- various --shell improvements
- new --shell-cmd to run commands in chroot/KVM/Qemu/... directly
- raising minimal required memory in qemu mode to 512MB to be able
to run Linux kernel at least
- Normalize epoch 0 away when reading the module info
- Add systemd-nspawn backend (by Oleg Girko)

==== colord ====
Subpackages: colord-color-profiles colord-lang libcolord2 libcolorhug2

- Add add-spyderx.patch for datacolor SpyderX supprot (will be in version 1.4.5)
- Move colord-session.service and tmpfiles config from libcolord-devel to
colord package

==== createrepo_c ====
Version update (0.12.0 -> 0.15.4)
Subpackages: libcreaterepo_c0 python3-createrepo_c

- Update to 0.15.4
+ Add reboot_suggested field to UpdateRecord (rh#1772466)
+ Skip directory matching --exclude right away
+ Add restart_suggested to updatecollectionpackage
- Update to 0.15.3
+ Export all changelog entries in compatibility mode
+ Libmagic to follow symlinks (rh#1776399)
+ Add shortcut to detect *.yaml files as not compressed
- Ensure createrepo_c fully replaces createrepo on Tumbleweed
- Remove old and now unused dependency on deltarpm as drpm is used now
- Update to 0.15.2
+ Fix file mode for cache (rh#1686812)
+ Honor umask on cache files (rh#1686812)
- Enable DeltaRPM support for openSUSE targets on Leap 15.2+ and TW
- Add BuildRequires on python3, it won't be pulled in side effect of
requiring python3-nose
- fix build by adding missing tarball and updating filelist
- Update to version 0.15.1:
* Release 0.15.1
* Fix null pointer crash in cr_dumper_thread() if it fails to get checksum
* Fix search in string with missing terminating zero (rh#1750673)
* Depend on DRPM minimum version 0.4.0
* Release 0.15.0
* Revise drpm dependency check and bump the minimum version to 0.3.0
* Release 0.14.4
* Update documentation and regenerate man pages to sync up
* Use drpm_make from drpm instead of deltarpm (rh#1687843)
* Fix some DEBUG build warnings
* Switch off html timestamps on documentation (rh#1731050)
* Update documentation for mergerepo_c merge methods (rh#1722803)
* Update documentation for --retain-old-md and --compatibility
* Fix --read-pkgs-list to only list actually read packages
* Release 0.14.3
* Add missing python metadata to python2/3-createrepo_c (rh#1695677)
* detect plain tar file as non compressed
- Update to 0.14.2
+ Fix issue with createrepo_c hanging at the end (rh#1714666)
+ Don't include packages with forbidden control chars in repodata
(boo#1110914)
+ Correct pkg count in headers if there were invalid pkgs (rh#1596211)
+ Prevent exiting with 0 if errors occur while finalizing repodata
- Update to 0.14.0
+ Fix crash when dumping updateinfo and module is omitted (rh#1707981)
+ Add --pkgorigins mode
- Update to 0.13.1
+ Fix tests to work properly when modulemd support is not enabled
- Enable modulemd support on openSUSE Leap 15.1+ and Tumbleweed
- Update to 0.13.0
+ Add support for handling modulemd
+ Add support for Koji simple merge mode
+ Add support for zchunked modulemd
+ Fixed --keep-all-metadata to keep all additional metadata
- Disable tests if modulemd support is not enabled to prevent wrong failures
- Drop patches included in this release
+ 0001-Find-correct-nosetests-version-even-when-which-comma.patch
+ 0002-fix-linking-when-Wl-no-undefined-is-set.patch
- Use noun phrase in summary.
- Added upstream patches
* 0001-Find-correct-nosetests-version-even-when-which-comma.patch
* 0002-fix-linking-when-Wl-no-undefined-is-set.patch
- Drop included patches
* 0001-zck_end_chunk-returns-number-of-bytes-written-or-1-f.patch
* 0002-Add-missing-sentinal.patch
* 0003-Fix-misc-test.patch
- Disable drpm support
- Update to version 0.12.1:
* Release 0.12.1
* For make test, xz and zchunk (not just *-devel) are required.
* Make cmake variable PYTHON_EXECUTABLE global
* Add zchunk support already to Fedora 29
* [spec] Fix spec to work for epel 7
* Add CMake support for python interpreter path
* Add space after if statement
* Fix misc test
* Add missing sentinal
* Add zchunk support to mergerepo_c for extra files

==== cronie ====
Subpackages: cron

- change permissions calls in spec file to use slashes for
directories [boo#1158130]

==== dav1d ====
Version update (0.5.1 -> 0.5.2)

- Update to version 0.5.2
* ARM32 optimizations for loopfilter, ipred_dc|h|v
* Add section-5 raw OBU demuxer
* Improve the speed by reducing the L2 cache collisions
* Fix minor issues

==== dbus-1 ====
Version update (1.12.12 -> 1.12.16)
Subpackages: libdbus-1-3 libdbus-1-3-32bit

- Verify signatures
* dbus-1.keyring - Key for Simon McVittie (smcv) from the Debian
developer keyring.
- Drop dbus_at_console.ck not needed
- Clean up sources
* Source2 dbus-1.desktop now Source4
* baselib.conf now source 3
- Update to 1.12.16
* CVE-2019-12749: Do not attempt to carry out DBUS_COOKIE_SHA1
authentication for identities that differ from the user running the
DBusServer. Previously, a local attacker could manipulate symbolic
links in their own home directory to bypass authentication and connect
to a DBusServer with elevated privileges. The standard system and
session dbus-daemons in their default configuration were immune to this
attack because they did not allow DBUS_COOKIE_SHA1, but third-party
users of DBusServer such as Upstart could be vulnerable.
Thanks to Joe Vennix of Apple Information Security.
(bsc#1137832, dbus#269, Simon McVittie)
- From 1.12.14
* Raise soft fd limit to match hard limit, even if unprivileged.
This makes session buses with many clients, or with clients that make
heavy use of fd-passing, less likely to suffer from fd exhaustion.
(dbus!103, Simon McVittie)
* If a privileged dbus-daemon has a hard fd limit greater than 64K, don't
reduce it to 64K, ensuring that we can put back the original fd limits
when carrying out traditional (non-systemd) activation. This fixes a
regression with systemd >= 240 in which system services inherited
dbus-daemon's hard and soft limit of 64K fds, instead of the intended
soft limit of 1K and hard limit of 512K or 1M.
(dbus!103, Debian#928877; Simon McVittie)
* Fix build failures caused by an AX_CODE_COVERAGE API change in newer
autoconf-archive versions (dbus#249, dbus!88; Simon McVittie)
* Fix build failures with newer autoconf-archive versions that include
AX_-prefixed shell variable names (dbus#249, dbus!86; Simon McVittie)
* Parse section/group names in .service files according to the syntax
from the Desktop Entry Specification, rejecting control characters
and non-ASCII in section/group names (dbus#208, David King)
* Fix various -Wlogical-op issues that cause build failure with newer
gcc versions (dbus#225, dbus!109; David King)
* Don't assume we can set permissions on a directory, for the benefit of
MSYS and Cygwin builds (dbus#216, dbus!110; Simon McVittie)
* Don't overwrite PKG_CONFIG_PATH and related environment variables when
the pkg-config-based version of DBus1Config is used in a CMake project
(dbus#267, dbus!96; Clemens Lang)
- Drop now upstream Patches
* dbus-no-ax-check.patch
* dbus-new-autoconf-archive.patch

==== dbus-1-x11 ====
Version update (1.12.12 -> 1.12.16)

- Verify signatures
* dbus-1.keyring - Key for Simon McVittie (smcv) from the Debian
developer keyring.
- Drop dbus_at_console.ck not needed
- Clean up sources
* Source2 dbus-1.desktop now Source4
* baselib.conf now source 3
- Update to 1.12.16
* CVE-2019-12749: Do not attempt to carry out DBUS_COOKIE_SHA1
authentication for identities that differ from the user running the
DBusServer. Previously, a local attacker could manipulate symbolic
links in their own home directory to bypass authentication and connect
to a DBusServer with elevated privileges. The standard system and
session dbus-daemons in their default configuration were immune to this
attack because they did not allow DBUS_COOKIE_SHA1, but third-party
users of DBusServer such as Upstart could be vulnerable.
Thanks to Joe Vennix of Apple Information Security.
(bsc#1137832, dbus#269, Simon McVittie)
- From 1.12.14
* Raise soft fd limit to match hard limit, even if unprivileged.
This makes session buses with many clients, or with clients that make
heavy use of fd-passing, less likely to suffer from fd exhaustion.
(dbus!103, Simon McVittie)
* If a privileged dbus-daemon has a hard fd limit greater than 64K, don't
reduce it to 64K, ensuring that we can put back the original fd limits
when carrying out traditional (non-systemd) activation. This fixes a
regression with systemd >= 240 in which system services inherited
dbus-daemon's hard and soft limit of 64K fds, instead of the intended
soft limit of 1K and hard limit of 512K or 1M.
(dbus!103, Debian#928877; Simon McVittie)
* Fix build failures caused by an AX_CODE_COVERAGE API change in newer
autoconf-archive versions (dbus#249, dbus!88; Simon McVittie)
* Fix build failures with newer autoconf-archive versions that include
AX_-prefixed shell variable names (dbus#249, dbus!86; Simon McVittie)
* Parse section/group names in .service files according to the syntax
from the Desktop Entry Specification, rejecting control characters
and non-ASCII in section/group names (dbus#208, David King)
* Fix various -Wlogical-op issues that cause build failure with newer
gcc versions (dbus#225, dbus!109; David King)
* Don't assume we can set permissions on a directory, for the benefit of
MSYS and Cygwin builds (dbus#216, dbus!110; Simon McVittie)
* Don't overwrite PKG_CONFIG_PATH and related environment variables when
the pkg-config-based version of DBus1Config is used in a CMake project
(dbus#267, dbus!96; Clemens Lang)
- Drop now upstream Patches
* dbus-no-ax-check.patch
* dbus-new-autoconf-archive.patch

==== discover ====
Version update (5.17.3 -> 5.17.4)
Subpackages: discover-backend-flatpak discover-backend-fwupd
discover-backend-packagekit discover-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- Changes since 5.17.3:
* fwupd: don't whine when we have unsupported hardware
* --verbosity
* sources: for some reason, QML didn't find the toolTip role anymore on my
Neon system
* pk: only trigger offline updates after a successful download (kde#413028)
* Account for padding in the height of the screenshot popup (kde#413629)
* Account for weirdly horizontal screenshots
* progressview: don't highlight the current index of the view (kde#414455)
* Don't include newlines in searches (kde#414530)
* pk: improve behaviour when dealing with local files
* pk: cache appstream component names
* don't overwrite mainItem (kde#414145)

==== drkonqi5 ====
Version update (5.17.3 -> 5.17.4)
Subpackages: drkonqi5-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- Changes since 5.17.3:
* disable systeminfo test on systems without uname
* fix msvc compatibility

==== expat ====
Version update (2.2.8 -> 2.2.9)
Subpackages: libexpat-devel libexpat1 libexpat1-32bit

- Version update to 2.2.9
* Other changes:
- examples: Drop executable bits from elements.c
[#349] Windows: Change the name of the Windows DLLs from expat*.dll
to libexpat*.dll once more (regression from 2.2.8, first
fixed in 1.95.3, issue #61 on SourceForge today,
was issue #432456 back then); needs a fix due
case-insensitive file systems on Windows and the fact that
Perl's XML::Parser::Expat compiles into Expat.dll.
[#347] Windows: Only define _CRT_RAND_S if not defined
Version info bumped from 7:10:6 to 7:11:6

==== gcr ====
Subpackages: gcr-data gcr-lang gcr-prompter gcr-ssh-askpass gcr-viewer
libgck-1-0 libgcr-3-1 typelib-1_0-Gck-1 typelib-1_0-Gcr-3

- Fix usage of libexecdir instead of prefix/lib where applicable.

==== gdm ====
Subpackages: gdm-lang gdmflexiserver libgdm1 typelib-1_0-Gdm-1_0

- Refresh SLE patch gdm-s390-not-require-g-s-d_wacom.patch.
- Add --enable-systemd-journal for both SLE and Tumbleweed
(jsc#SLE-10383).

==== gjs ====
Subpackages: libgjs0 typelib-1_0-GjsPrivate-1_0

- Enable systemtap support.

==== gnome-desktop ====
Version update (3.34.1 -> 3.34.2)
Subpackages: gnome-desktop-lang gnome-version libgnome-desktop-3-18
libgnome-desktop-3_0-common typelib-1_0-GnomeDesktop-3_0

- Update to version 3.34.2:
+ Add helper to create transient systemd scopes.
+ Updated translations.
- Add pkgconfig(libsystemd) BuildRequires: New dependency.

==== gnome-session ====
Version update (3.34.1 -> 3.34.2)
Subpackages: gnome-session-core gnome-session-default-session
gnome-session-lang gnome-session-wayland

- Refresh gnome-session-s390-not-require-g-s-d_wacom.patch for
GNOME 3.34.
- Update to version 3.34.2:
+ autostart-app: Strip blacklisted variables from autostart
environment.
+ data:
- Ensure shutdown target does not keep units loaded.
- Make X11 services part of gnome-session-initialized.
- Remove gnome-session-stable.timer and related units.
- Remove never used gnome-session-shutdown.service.
+ doap: Add a description.
+ manager: Disable session saving on systemd managed sessions.
+ session-fill: Disable session restoring on systemd.
+ Updated translations.
- Pass systemd_journal=true to both SLE and Tumbleweed(jsc#SLE-10383).

==== gnome-settings-daemon ====
Version update (3.34.1+0 -> 3.34.1+3)
Subpackages: gnome-settings-daemon-lang

- Enable the patches for both Leap and SLE (bsc#1158243):
+ gnome-settings-daemon-notify-idle-resumed.patch
+ gnome-settings-daemon-bnc873545-hide-warnings.patch
+ gnome-settings-daemon-sle-configure-timeout-blank.patch
+ gnome-settings-daemon-more-power-button-actions.patch
- Update to version 3.34.1+3:
* media-keys: Add guard to map_keybinding()
* media-keys: Fix crash on key bindings migration
* media-keys: Use X11 display for clipboard
- Fix build on s390x (ie without wacom support)

==== gnome-shell-extensions ====
Subpackages: gnome-shell-classic gnome-shell-classic-session
gnome-shell-extensions-common gnome-shell-extensions-common-lang

- Update gse-sle-classic-ext.patch: Adapt version 3.34.1
(bsc#1158496).
- Remove file sle-classic-xorg.desktop: now sle-classic only works
on X, we don't need this file anymore.
- Rebase patch gnome-classic-s390-not-require-g-s-d_wacom.patch.

==== gnutls ====
Version update (3.6.10 -> 3.6.11.1)
Subpackages: libgnutls-dane0 libgnutls30 libgnutls30-32bit

- gnutls 3.6.11.1:
* libgnutls: Corrected issue with TLS 1.2 session ticket
handling as client during resumption
* libgnutls: gnutls_base64_decode2() succeeds decoding the empty
string to the empty string. This is a behavioral change of the
API but it conforms to the RFC4648 expectations
* libgnutls: Fixed AES-CFB8 implementation, when input is shorter
than the block size. Fix backported from nettle.
* certtool: CRL distribution points will be set in CA
certificates even when non self-signed
* gnutls-cli/serv: added raw public-key handling capabilities
(RFC7250). Key material can be set via the --rawpkkeyfile and
- -rawpkfile flags.

==== grilo-plugins ====
Subpackages: grilo-plugin-tracker grilo-plugin-youtube grilo-plugins-lang

- Add tracker-fix-crash-if-chromaprint-plugin-not-installed.patch:
avoid crash if the chromaprint is disabled on build time
(bsc#1158231 glgo#GNOME/grilo-plugins#61).

==== gstreamer ====
Version update (1.16.1 -> 1.16.2)
Subpackages: gstreamer-lang gstreamer-utils libgstreamer-1_0-0
typelib-1_0-Gst-1_0

- Update to version 1.16.2:
+ Interlaced video scaling fixes
+ CineForm video support in AVI
+ audioresample: avoid glitches due to rounding errors after
changing rate
+ Command line tool output printing improvements on Windows
+ various performance improvements, memory leak fixes and
security fixes
+ VP9 decoding fixes
+ wasapi: bug fixes and stability improvements
+ tsdemux: improved handling of certain discontinuities
+ vaapi h265 decoder: wait for I-frame before trying to decode
+ tee: Make sure to actually deactivate pads that are released
+ bin: Drop need-context messages without source instead of
crashing
+ gst: Don't pass miniobjects to GST_DEBUG_OBJECT() and similar
macros
+ tracers: Don't leak temporary GstStructure

==== gstreamer-plugins-bad ====
Version update (1.16.1 -> 1.16.2)
Subpackages: gstreamer-plugins-bad-lang libgstadaptivedemux-1_0-0
libgstbadaudio-1_0-0 libgstbasecamerabinsrc-1_0-0 libgstcodecparsers-1_0-0
libgstisoff-1_0-0 libgstmpegts-1_0-0 libgstphotography-1_0-0 libgstsctp-1_0-0
libgsturidownloader-1_0-0 libgstwayland-1_0-0 libgstwebrtc-1_0-0

- Update to version 1.16.2:
+ wasapi:
- Various fixes and a workaround for a specific driver bug
- Move to CoInitializeEx for COM initialization
- Fix runtime/build warnings
+ waylandsink: Commit the parent after creating subsurface
+ msdkdec: fix surface leak in msdkdec_handle_frame
+ tsmux: Fix copying of buffer region
+ tsdemux:
- Handle continuity mismatch in more cases
- Always issue a DTS even when it's equal to PTS
+ openexr: Fix build with OpenEXR 2.4 (and also OpenEXR 2.2 on
Ubuntu 18.04)
+ ccextractor: Always forward all sticky events to the caption
pad
+ pnmdec: Return early on ::finish() if we have no actual data to
parse
+ ass: avoid infinite unref loop with bad data
+ fluidsynth: add sf3 to soundfont search path
- Drop libtool and automake/conf BuildRequires and autoreconf calls
+ 0001-Require-OpenEXR-2.3.0-at-least-and-do-not-force-C-98.patch
Fixed upstream.

==== gstreamer-plugins-base ====
Version update (1.16.1 -> 1.16.2)
Subpackages: gstreamer-plugins-base-lang libgstallocators-1_0-0 libgstapp-1_0-0
libgstaudio-1_0-0 libgstfft-1_0-0 libgstgl-1_0-0 libgstpbutils-1_0-0
libgstriff-1_0-0 libgstrtp-1_0-0 libgstrtsp-1_0-0 libgstsdp-1_0-0
libgsttag-1_0-0 libgstvideo-1_0-0 typelib-1_0-GstAudio-1_0
typelib-1_0-GstPbutils-1_0 typelib-1_0-GstTag-1_0 typelib-1_0-GstVideo-1_0

- Update to version 1.16.2:
+ xvimagepool: Update size, stride, and offset with allocated
XvImage
+ video-converter: Fix RGB-XYZ-RGB conversion
+ audiorate: Update next_offset on rate change
+ audioringbuffer: Reset reorder flag before check
+ audio-buffer: Don't fail to map buffers with zero samples
+ videorate: Fix max-duplication-time handling
+ gl/gbm: ensure we call the resize callback before attempting to
draw
+ video-converter: Various fixes for interlaced scaling
+ gstrtspconnection: messages_bytes not decreased
+ check: Don't use real audio devices for tests
+ riff: add CineForm mapping
+ glfilters: Don't use static variables for storing per-element
state
+ glupload: Add VideoMetas and GLSyncMeta to the raw uploaded
buffers
+ streamsynchronizer: avoid pad release race during logging.

==== gstreamer-plugins-good ====
Version update (1.16.1 -> 1.16.2)
Subpackages: gstreamer-plugins-good-extra gstreamer-plugins-good-gtk
gstreamer-plugins-good-jack gstreamer-plugins-good-lang
gstreamer-plugins-good-qtqml

- Update to version 1.16.2:
+ vp9dec: Fix broken 4:4:4 8bits decoding
+ rtpsession: add locking for clear-pt-map
+ rtpL16depay: don't crash if data is not modulo channels*width
+ wavparse:
- Fix push mode ignoring audio with a size smaller than segment
buffer
- Fix push mode ignoring last audio payload chunk
+ aacparse: fix wrong offset of the channel number in adts header
+ jpegdec:
- Fix incorrect logic in EOI tag detection
- Don't overwrite the last valid line
+ videocrop: Also update the coordinate when in-place
+ vpx: Error out if enabled and no features found
+ v4l2videodec: ensure pool exists before orphaning it
+ v4l2videoenc: fix type conversion errors
+ v4l2bufferpool: Queue number of allocated buffers to capture
+ v4l2object:
- Fix mpegversion number typo
- Work around bad TRY_FMT colorimetry implementations

==== gstreamer-plugins-ugly ====
Version update (1.16.1 -> 1.16.2)
Subpackages: gstreamer-plugins-ugly-lang

- Update to version 1.16.2:
+ Update docs.

==== gtk3 ====
Version update (3.24.12+32 -> 3.24.13+0)
Subpackages: gtk3-data gtk3-immodule-amharic gtk3-immodule-inuktitut
gtk3-immodule-thai gtk3-immodule-tigrigna gtk3-immodule-vietnamese
gtk3-immodule-xim gtk3-lang gtk3-schema gtk3-tools libgtk-3-0
typelib-1_0-Gtk-3_0

- Update to version 3.24.13+0:
+ Fix a11y test output
+ HighContrast: Add missing color to entry
+ themes: remove various @extend with compound selectors
+ Avoid Broadwayd - GtkEntry popup takes 35s after application
startup.
+ Hide Objective-C from outside GdkQuartz.

==== inkscape ====
Subpackages: inkscape-extensions-extra inkscape-extensions-gimp
inkscape-extensions-skencil inkscape-lang

- Add inkscape-fix-for-poppler-0.83.patch: Fix build with poppler
0.83 and newer.
- Update URL to new homepage.

==== iproute2 ====
Version update (5.3 -> 5.4)

- Update to new upstream release 5.4
* devlink: increase number of supported options (32 -> 64)
* devlink: add trap set and show commands
* devlink: add trap group set and show commands
* devlink: add reset_dev_on_drv_probe param
* devlink: support unknown value for fw_load_policy
* devlink: support flash status monitoring
* devlink: add reload failed indication
* ip: netns: support dump of nsid conversion table
* ip: nexthop: support filtering by protocol for flush and list
* rdma: driver QP type string
* tc: introduce ct action
* tc: support 64-bit rate and peakrate
* tc: etf: support skip_sock_check
* tc: flower: add matching on conntrack info
* tc: taprio: support setting flags
* tc: taprio: support setting txtime_delay
* documentation improvements
* json output improvements
* drop outdated example scripts and README files
- drop (patched script dropped)
examples-fix-bashisms-in-example-script.patch
- ss-fix-end-of-line-printing-in-misc-ss.c.patch:
fix missing end of line at the end of ss output

==== kactivitymanagerd ====
Version update (5.17.3 -> 5.17.4)
Subpackages: kactivitymanagerd-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- No code changes since 5.17.3

==== kcm_sddm ====
Version update (5.17.3 -> 5.17.4)
Subpackages: kcm_sddm-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- No code changes since 5.17.3

==== kde-cli-tools5 ====
Version update (5.17.3 -> 5.17.4)
Subpackages: kde-cli-tools5-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- Changes since 5.17.3:
* Port to non-deprecated KWindowSystem API

==== kde-gtk-config5 ====
Version update (5.17.3 -> 5.17.4)
Subpackages: kde-gtk-config5-gtk2 kde-gtk-config5-gtk3 kde-gtk-config5-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- No code changes since 5.17.3

==== kde-user-manager ====
Version update (5.17.3 -> 5.17.4)
Subpackages: kde-user-manager-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- No code changes since 5.17.3

==== kgamma5 ====
Version update (5.17.3 -> 5.17.4)
Subpackages: kgamma5-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- No code changes since 5.17.3

==== khotkeys5 ====
Version update (5.17.3 -> 5.17.4)
Subpackages: khotkeys5-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- Changes since 5.17.3:
* Clean up config-X11.h

==== kinfocenter5 ====
Version update (5.17.3 -> 5.17.4)
Subpackages: kinfocenter5-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- No code changes since 5.17.3

==== kmenuedit5 ====
Version update (5.17.3 -> 5.17.4)
Subpackages: kmenuedit5-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- No code changes since 5.17.3

==== kscreen5 ====
Version update (5.17.3 -> 5.17.4)
Subpackages: kscreen5-lang kscreen5-plasmoid

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- Changes since 5.17.3:
* fix(kcm): give the rotation button tooltips a sensible timeout (kde#414190)

==== kscreenlocker ====
Version update (5.17.3 -> 5.17.4)
Subpackages: kscreenlocker-lang libKScreenLocker5

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- No code changes since 5.17.3

==== ksshaskpass5 ====
Version update (5.17.3 -> 5.17.4)
Subpackages: ksshaskpass5-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- No code changes since 5.17.3

==== ksysguard5 ====
Version update (5.17.3 -> 5.17.4)
Subpackages: ksysguard5-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- Changes since 5.17.3:
* Add DesktopEntry to notifyrc

==== kwayland-integration ====
Version update (5.17.3 -> 5.17.4)

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- Changes since 5.17.3:
* kwayland-integration: fix compilation with no-deprecated build of
kwindowsystem
* Remove duplicated check for StaysOnTop, same value as KeepAbove.

==== kwin5 ====
Version update (5.17.3 -> 5.17.4)
Subpackages: kwin5-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- Changes since 5.17.3:
* Destroy dmabuf implementation on EGL backend going down (kde#413637)
* [kcmkwin/kwindecoration] Better presentation of tabs
* fix compilation with no-deprecated build of kwindowsystem
* Fix the order of arguments passed to changeMaximize method
(kde#413424,kde#412888,kde#413554)
* [libkwineffects] Restore GL_DRAW_FRAMEBUFFER binding in GLTexture::clear

==== libgme ====

- Add fix-gcc10-compiler-detection.patch in order
to fix boo#1158320.

==== libkdecoration2 ====
Version update (5.17.3 -> 5.17.4)
Subpackages: libkdecorations2-5 libkdecorations2-5-lang libkdecorations2private6

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- No code changes since 5.17.3

==== libkscreen2 ====
Version update (5.17.3 -> 5.17.4)
Subpackages: libKF5Screen7 libkscreen2-plugin

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- No code changes since 5.17.3

==== libksysguard5 ====
Version update (5.17.3 -> 5.17.4)
Subpackages: libksysguard5-helper libksysguard5-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- Changes since 5.17.3:
* WebChannel is only an optional dependency on WebEngine, link to it
explicitly

==== libmspub ====

- Add fix-missing-include.patch in order
to fix boo#1158322.

==== libsoup ====
Version update (2.68.2 -> 2.68.3)
Subpackages: libsoup-2_4-1 libsoup-lang typelib-1_0-Soup-2_4

- Update to version 2.68.3:
+ Fixes to testing infrastructure.
+ Enable GNOME support in mingw.
+ Allow introspection in cross builds.
+ Updated translations.

==== libxcrypt ====
Version update (4.4.3 -> 4.4.10)
Subpackages: libcrypt1 libcrypt1-32bit libxcrypt-devel

- Update to version 4.4.10
* Fix alignment problem for GOST 34.11 (Streebog) in gost-yestcrypt.
* The crypt_* functions will now all fail and set errno to ERANGE if
their 'phrase' argument is longer than CRYPT_MAX_PASSPHRASE_SIZE
characters (this is currently 512)
* The NT hashing method no longer truncates passphrases at 128
characters; Windows does not do this.
- format-overflow.patch: remove

==== lilv ====
Version update (0.24.4 -> 0.24.6)

- Update to release 0.24.6 fixes boo#1158296
- Upstream changes:
* Add more strict error detection when storing plugin state
properties
* Add option to override LV2_PATH in applications
* Don't print errors when saving state if correct links already
exist
* Fix GCC8 warnings
* Fix creating directories across drives on Windows
* Fix issues with loading state with saved files from the model
* Fix memory errors and Python 3.4+ compatibility in Python bindings
* Fix unit tests on Windows
* Make Python bindings more Pythonic

==== llvm9 ====
Subpackages: clang9 clang9-checker clang9-doc libLLVM9 libLTO9 libc++-devel
libc++1 libc++abi-devel libc++abi1 libclang9

- Modify libcxx-tests-linux-distribution.patch to remove dependency
on python-distro again: we don't have expected failures.
- Add llvm-add-missing-include.patch in order to fix
boo#1158367.
- Add gwp-asan-lto.patch: Make sure there are no LLVM IR files in
static libraries that we package.
- Add libcxx-tests-linux-distribution.patch (boo#1158293):
Replace platform.linux_distribution by distro.linux_distribution.
- Make documentation packages noarch.

==== mailutils ====
Subpackages: libmailutils5

- Correct location of mime.types used by cups (boo#1158532)
- Add python38-compat.patch making it possible to build the
package with Python 3.8.
http://savannah.gnu.org/bugs/index.php?57318

==== man-pages ====

- Set up %{_mandir}/man7/man.7%{?ext_man} as an alternative for
the man-page specific document. The other package providing
this man page is mandoc, which is meant as an alternative
lightweight faster replacement for man-pages package. It does
not have that many dependencies, it is written in C, see
http://mandoc.bsd.lv/ for more.

==== mercurial ====
Version update (5.2 -> 5.2.1)
Subpackages: mercurial-lang

- Mercurial 5.2.1

==== milou5 ====
Version update (5.17.3 -> 5.17.4)
Subpackages: milou5-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- No code changes since 5.17.3

==== osc ====
Version update (0.166.2 -> 0.167.1)

- 0.167.1
- fix cpio fetch error handling
- support local build using RedHat rpm-md modules
- fix local build outside of the working copy of a package.
(fixes boo#1136584)
- Use the distro module for linux platform detection for
python3.8 compatibility
- 0.167.0
* Added --lastsucceeded option for logfile display (requires OBS 2.11)
* osc shell/chroot/wipe is now handled via build script (working for chroot
and KVM only atm)
* osc build/shell features:
- --vm-type=qemu support for cross architecture builds
- additional debug packages are read from build config now
(extra-pkgs definition is therefore by default empty now)
- --vm-disk-size= switch supported (has only an effect on clean builds)
- repository, architecture and vm_type from last build is automatically
reused if not specified otherwise.
- support building for kiwi products using obsrepositories:/
- support local building using RedHat rpm-md modules
* fix decoding for osc aggregatepac
- added Conflicts: build < 20191205. The new osc shell/chroot features might
not work with older build scripts
- removed version dpendency for Recommends: build. Does not work anyway.
- added 0%{?centos_version} >= 800 to some %if statemets to enable build of
python3 version on CentOS 8 and higer

==== oxygen5 ====
Version update (5.17.3 -> 5.17.4)

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- Changes since 5.17.3:
* [KDecoration] Use QIcon::paint

==== perl-Perl-Tidy ====
Version update (20190915 -> 20191203)

- updated to 20191203
see /usr/share/doc/packages/perl-Perl-Tidy/CHANGES.md
[#]# 2019 12 03
- Fixed issue RT#131115: -bli option not working correctly.
Closing braces were not indented in some cases due to a glitch
introduced in version 20181120.
- Fixed issue RT#130394: Allow short nested blocks. Given the following
$factorial = sub { reduce { $a * $b } 1 .. 11 };
Previous versions would always break the sub block because it
contains another block (the reduce block). The fix keeps
short one-line blocks such as this intact.
- Implement issue RT#130640: Allow different subroutine keywords.
Added a flag --sub-alias-list=s or -sal=s, where s is a string with
one or more aliases for 'sub', separated by spaces or commas.
For example,
perltidy -sal='method fun'
will cause the perltidy to treat the words 'method' and 'fun' to be
treated the same as if they were 'sub'.
- Added flag --space-prototype-paren=i, or -spp=i, to control spacing
before the opening paren of a prototype, where i=0, 1, or 2:
i=0 no space
i=1 follow input [current and default]
i=2 always space
Previously, perltidy always followed the input.
For example, given the following input
sub usage();
The result will be:
sub usage(); # i=0 [no space]
sub usage(); # i=1 [default; follows input]
sub usage (); # i=2 [space]
- Fixed issue git#16, minor vertical alignment issue.
- Fixed issue git#10, minor conflict of -wn and -ce
- Improved some vertical alignments involving two lines.

==== pesign ====

- Add pesign-boo1158197-fix-pesigncheck-gcc10.patch to remove the
superfluous type settings in pesigcheck to fix the gcc10 errors
(boo#1158197)

==== plasma-browser-integration ====
Version update (5.17.3 -> 5.17.4)
Subpackages: plasma-browser-integration-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- No code changes since 5.17.3

==== plasma-nm5 ====
Version update (5.17.3 -> 5.17.4)
Subpackages: plasma-nm5-lang plasma-nm5-openconnect plasma-nm5-openvpn
plasma-nm5-pptp plasma-nm5-vpnc

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- Changes since 5.17.3:
* connect groupbox toggles to change signal

==== plasma5-addons ====
Version update (5.17.3 -> 5.17.4)
Subpackages: plasma5-addons-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- Changes since 5.17.3:
* [applets/Weather] Activate Apply button when clicking on a table item
(kde#414442)
* [applets/Weather] Improve station chooser window's default size and margins
* [applets/Weather] Fix "no weather station found" message overflowing layout
(kde#414441)
* [Weather] Make compact representation temperature text match size of clock
text
* Fix POTD config ComboBox display issue in Lock Screen KCM

==== plasma5-desktop ====
Version update (5.17.3 -> 5.17.4)
Subpackages: plasma5-desktop-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- Changes since 5.17.3:
* Port away from deprecated KWindowSystem API
* Port the pager applet away from QtWidgets
* [Folder view] Use selected text color for selected items in full
representation (kde#414287)
* [Notifications KCM] Fix keyboard navigation in apps list (kde#409024)
* [Workspace KCM] Set implicit width to improve default layout

==== plasma5-integration ====
Version update (5.17.3 -> 5.17.4)
Subpackages: plasma5-integration-plugin plasma5-integration-plugin-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- No code changes since 5.17.3

==== plasma5-openSUSE ====
Subpackages: plasma5-defaults-openSUSE plasma5-theme-openSUSE
plasma5-workspace-branding-openSUSE sddm-theme-openSUSE

- Update to 5.17.4

==== plasma5-pa ====
Version update (5.17.3 -> 5.17.4)
Subpackages: plasma5-pa-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- No code changes since 5.17.3

==== plasma5-workspace ====
Version update (5.17.3 -> 5.17.4)
Subpackages: gmenudbusmenuproxy plasma5-session plasma5-session-wayland
plasma5-workspace-lang plasma5-workspace-libs xembedsniproxy

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- Changes since 5.17.3:
* [sddm-theme] Fix initial focus after SDDM QQC2 Port
* [XembedSNIProxy] Send all container windows to background on KWin restart
(kde#357443)
* [XembedSNIProxy] If available, always use 32-bit color. (kde#356937)
* Port to non-deprecated KWindowSystem::setMainWindow overload
* Fix broken multimedia control on lockscreen (kde#414487)
* NET::StaysOnTop -> NET::KeepAbove (since 5.0)

==== polkit ====
Subpackages: libpolkit0 typelib-1_0-Polkit-1_0

- Fix usage of libexecdir instead of prefix/lib where applicable.

==== polkit-default-privs ====
Version update (13.2+20191128.c2eb3f7 -> 13.2+20191210.15c9882)

- Update to version 13.2+20191210.15c9882:
* polkit-rules-whitelist: adjust whitelist format to new rpmlint-checks logic

==== polkit-kde-agent-5 ====
Version update (5.17.3 -> 5.17.4)
Subpackages: polkit-kde-agent-5-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- Changes since 5.17.3:
* Port away from deprecated API in KWindowSystem

==== powerdevil5 ====
Version update (5.17.3 -> 5.17.4)
Subpackages: powerdevil5-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- No code changes since 5.17.3

==== pptp ====
Version update (1.8.0 -> 1.10.0)

- Update to versioin 1.10.0
* remove inststr in favour of prctrl PR_SET_NAME,
* vector tests; include in make, fix code rot, fix return status,
* pqueue; include missing sys/types.h,
* pptpsetup; prevent world-readable peers file, use
three-argument append, allow password trailing spaces, split
prints to chap-secrets, allow passwords with quotes, use
absolute path to pptp
* remove uid from ip route get output; iproute2-4.10 and later
may emit uid, (bsc#1131960).
- Changes in 1.9.0
* close a memory leak in pqueue,
* avoid clobbering heap (RHBZ #1183627),
* fix use after free in call close request handler,
* add --missing-window option (Debian #680455, Ubuntu #681617),
* randomise call-id (Debian #721963),
* replace gethostbyname(3) with getaddrinfo(3),
* don't set build flags; use defaults,
* fix for (null) in "pptp: GRE-to-PPP gateway on (null)".

==== python-Sphinx ====
Version update (2.2.1 -> 2.2.2)

- update to version 2.2.2:
* Incompatible changes
+ #6803: For security reason of python, parallel mode is disabled
on macOS and Python3.8+
* Bugs fixed
+ #6776: LaTeX: 2019-10-01 LaTeX release breaks
:file:`sphinxcyrillic.sty`
+ #6815: i18n: French, Hindi, Chinese, Japanese and Korean
translation messages has been broken
+ #6803: parallel build causes AttributeError on macOS and
Python3.8

==== python-Sphinx-test ====
Version update (2.2.1 -> 2.2.2)

- update to version 2.2.2:
* Incompatible changes
+ #6803: For security reason of python, parallel mode is disabled
on macOS and Python3.8+
* Bugs fixed
+ #6776: LaTeX: 2019-10-01 LaTeX release breaks
:file:`sphinxcyrillic.sty`
+ #6815: i18n: French, Hindi, Chinese, Japanese and Korean
translation messages has been broken
+ #6803: parallel build causes AttributeError on macOS and
Python3.8

==== python-Twisted ====
Version update (19.7.0 -> 19.10.0)

- Update to 19.10.0:
* twisted.trial.successResultOf, twisted.trial.failureResultOf, and
twisted.trial.assertNoResult accept coroutines as well as Deferreds. (#9006)
* Fixed circular import in twisted.trial.reporter, introduced in Twisted
16.0.0. (#8267)
* The POP3 server implemented by twisted.mail.pop3 now accepts passwords that
contain spaces. (#9100)
* Incoming HTTP/2 connections will now not time out if they persist for
longer than one minute. (#9653)
* twisted.conch.ssh.keys now correctly writes the "iqmp" parameter in
serialized RSA private keys as q^-1 mod p rather than p^-1 mod q. (#9681)
* twisted.web.server.Request will now use
twisted.web.server.Site.getContentFile, if it exists, to get a file into which
to write request content. If getContentFile is not provided by the site, it
will fall back to the previous behavior of using io.BytesIO for small requests
and tempfile.TemporaryFile for large ones. (#9655)
* twisted.web.client.FileBodyProducer will now stop producing when the
Deferred returned by FileBodyProducer.startProducing is cancelled. (#9547)
* The HTTP/2 server implementation now enforces TCP flow control on control
frame messages and times out clients that send invalid data without reading
responses. This closes CVE-2019-9512 (Ping Flood), CVE-2019-9514 (Reset Flood),
and CVE-2019-9515 (Settings Flood). Thanks to Jonathan Looney and Piotr Sikora.
(#9694)
- Add python-38-xml-namespace.patch to fix dictionary mutation under Python 3.8
- Add python-38-hmac-digestmod.patch to add digestmod parameter where required
- Add python-38-no-cgi-parseqs.patch to no longer import parse_qs from cgi

==== python-matplotlib ====
Version update (3.1.1 -> 3.1.2)
Subpackages: python3-matplotlib python3-matplotlib-cairo python3-matplotlib-gtk3

- Update to 3.1.2
* fix regresion of incorrect limits for y-axis in imshow
* fix integer indexed pandas series
* fix ScalarFormatter formatting of masked values
* webagg and nbagg no longer incorrectly fallback to agg when $DISPLAY is not
set
* several fixes for Qt5 backend
* other bugfixes and documentation fixes

==== python-qt5 ====
Version update (5.13.1 -> 5.13.2)
Subpackages: python-qt5-utils python3-qt5

- Update to 5.13.2
* pyuic now handles QKeySequenceEdit
* The new on-exit scheme now ignores running QThreads
* Added the missing pos() and two setPos() overloads to QCursor
* A QVariant for a pointer to an instance of unknown type will now be
converted to a voidptr object
- Update the package description
- Drop add-qkeysequenceedit-to-uic.patch. Merged upstream
- Update update-timeline.patch

==== python-zope.interface ====
Version update (4.6.0 -> 4.7.1)

- update to 4.7.1:
* Use Python 3 syntax in the documentation. See issue 119.
* Drop support for Python 3.4.
* Fix queryTaggedValue, getTaggedValue, getTaggedValueTags subclass
inheritance. See PR 144.
* Add support for Python 3.8.

==== re2 ====
Version update (20191101 -> 20191201)

- update to 2019-12-01:
* fix latent bugs and undefined behavior

==== rebootmgr ====

- Fix %posttrans script returning an error code

==== systemd ====
Subpackages: libsystemd0 libsystemd0-32bit libudev-devel libudev1
libudev1-32bit systemd-32bit systemd-container systemd-lang systemd-logger
systemd-sysvinit udev

- Import commit dbb1d4734daffa62e0eddecfa4f784c84a9d8e76
1439d72a72 udevd: don't use monitor after manager_exit()
99288dd778 Revert "udevd: fix crash when workers time out after exit is
signal caught"
152577d6d0 udevd: fix crash when workers time out after exit is signal caught
f854991504 udevd: wait for workers to finish when exiting (bsc#1106383)
Changes from the v243-stable (84 commits):
e51d9bf9e5 man: add entry about SpeedMeter=
aa1fc791c7 udev: silence warning about PROGRAM+= or IMPORT+= rules
b9a619bb67 udevadm: ignore EROFS and return earlier
1ec5b9f80c basic: add vmware hypervisor detection from device-tree
7fa7080248 umount: be happy if /proc/swaps doesn't exist
[...]
47d0e23d26 udev: fix memleak caused by wrong cleanup function
a6fb0542c5 parse_hwdb: fix compatibility with pyparsing 2.4.*
cb1d892f17 parse_hwdb: process files in order

==== systemsettings5 ====
Version update (5.17.3 -> 5.17.4)
Subpackages: systemsettings5-lang

- Update to 5.17.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.17.4.php
- Changes since 5.17.3:
* Unbreak build with Qt 5.14

==== tcl ====
Version update (8.6.9 -> 8.6.10)

- New version: 8.6.10:
* (bug)[7a9dc5] [file normalize ~/~foo] segfault
* (bug)[3cf3a9] variable 'timezone' deprecated in vc2017
* (bug)[cc1e91] [list [list {*}[set a " "]]] regression
obsoletes tcl-expand-regression.patch.
* (bug)[e3f481] tests var-1.2[01]
* (new) Update to Unicode 12.0
* (new)[TIP 527] New command [timerate]
* (bug)[39fed4] [package require] memory validity
* (new) New command tcl::unsupported::corotype
* (bug) memlink when namespace deletion kills linked var
* (new) README file converted to README.md in Markdown
* (bug)[8b9854] [info level 0] regression with ensembles
* (bug)[6bdadf] crash multi-arg write-traced [lappend]
* (bug)[f8a33c] crash Tcl_Exit before init
* (bug)[fa6bf3] Bytecode fails epoch recovery at numLevel=0
* (bug)[fec0c1] C stack overflow compiling bytecode
* tzdata updated to Olson's tzdata2019c
* (bug)[16768d] Fix [info hostname] on NetBSD
* (new) libtommath updated to release 1.2.0
* (bug)[bcd100] bad fs cache when system encoding changes
* (bug)[135804] segfault in [next] after destroy
* (bug)[13657a] application/json us text, not binary

==== tk ====
Version update (8.6.9 -> 8.6.10)

- Version 8.6.10:
* (bug)[0a9c91] crash in text-11a.22
* (bug)[9705d1] crash activating "Alt" theme
* (bug)[e3b954] cursor offset at full screen display
* (bug)[18a4ba] cross-platform [winfo containing]
* (build) 'None', 'ControlMask' symbol conflicts
* (bug)[509caf] [treeview tag configure] regression
* (bug)[3003895] [scale] res rounds and -from
* (new)[TIP 533] [$mb post x y idx]
* (bug)[1529659] embed toplevel blocks outer menu
* (bug)[8814bd] crash in [NSMenu size]
* (bug)[1951ab] Prevent transient window cycles (crashed on Aqua)
* ** POTENTIAL INCOMPATIBILITY ***
* (bug)[4da219] Incomplete read of multi-image GIF
* (new)[TIP 535] Precision of ::scale widget tick mark values
* ** POTENTIAL INCOMPATIBILITY ***
* (bug)[da3914] [$treeview identify element] failure
* (bug)[897ffe] Prevent cross-manager loops of geom management
* (bug)[368fa4] Prevent toggle of hidden treeview indicators
* (bug)[928652] Apply TIP 533 for ttk::menubutton
* (bug)[1001070] X-platform rework of label options -highlight*
* (bug)[6286fd] checkbutton handling of -selectcolor
* (bug) Ttk scrolling bugs, see tests treeview-9.1, entry-3.[3-6]
* (new)[TIP 541] [combobox current] support "end" index
* (bug)[2a6c62] <<TreeviewSelect>> trigger on item delete
* (bug)[75b8fb] Crash with some [event generate]d <ButtonRelease>
* (bug)[5ddeca] Stop app switching exposing withdrawn windows as zombies
* (new) Refactor all MouseWheel bindings
* ** POTENTIAL INCOMPATIBILITY ***
* (bug)[c8ccd1] up array key in [text] takes to index 1.0
* (new)[TIP 532] Tk event loop rewrite to prevent ring overflow
* ** POTENTIAL INCOMPATIBILITY ***
* (bug)[2834776] Stop disabled spinbox from generating
<<Increment>> & <<Decrement>>
* (bug)[a01b6f7] Workaround XWayland bug reporting screen width
* (bug)[b82bd4] Fix [style configure -compound]
* (bug)[69b48f] failing test textTag-18.1
* (bug)[c4abd2] panic in stackorder command
* (bug)[53d280] [wm iconphoto] crash on empty image
* [90d555] workaround NSFontManager bad selections
* (new) Partial Emoji support in text displays
- tk-8.5.12-fix-xft.patch is not needed anymore.

==== virtualbox ====
Subpackages: virtualbox-guest-tools virtualbox-guest-x11 virtualbox-kmp-default

- Update file "switch_to_python3.4+.patch" to handle Python 3.8. (bsc#1158288)

==== vsftpd ====

- Add pam_keyinit.so to PAM config file.
[vsftpd.pam, bsc#1144062]

==== wireshark ====
Version update (3.0.6 -> 3.0.7)
Subpackages: libwireshark12 libwiretap9 libwscodecs2 libwsutil10 wireshark-ui-qt

- wireshark 3.0.7:
* CVE-2019-19553: CMS dissector crash (boo#1158505).
* ws_pipe_wait_for_pipe() can wait on closed handles
* suport for 11ax in PEEKREMOTE
* reassembling of the two TLS records not working correctly
- Further features, bug fixes and updated protocol support as listed in:
https://www.wireshark.org/docs/relnotes/wireshark-3.0.7.html
- since we only have one gui package now move the gui related files
to that package, which in turn reduces the requires in the main
package for headless installations.

==== yast2-ruby-bindings ====
Version update (4.2.4 -> 4.2.5)

- S390: Evaluating an architecture specific string which will be
shown in the title bar (ncurses) or in the banner (qt)
(jsc#SLE-9424).
- 4.2.5

==== zimg ====

- Add update-matrix3.cpp.patch in order
to fix boo#1158372.


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages